Skip to Main Content
It looks like you're using Internet Explorer 11 or older. This website works best with modern browsers such as the latest versions of Chrome, Firefox, Safari, and Edge. If you continue with this browser, you may see unexpected results.

Flipster: Tutorials

Browser/System Requirements

Browser/System Requirements for Flipster

Desktop Computers

  • Internet Explorer 10 and 11 only
  • FireFox Latest and one previous version
  • Safari Latest and one previous version
  • Google Chrome Latest and one previous version

Mobile Devices (Reading on a Mobile Device Browser)

  •     iOS Versions 9 and higher
  •     Android 4.2.2 and higher

Note: If you are using a different mobile operating system, your Flipster experience may vary.

Flipster App Requirements

Mobile Device Requirements for the Flipster App

  • iOS 9 and higher for iPad and iPhone
  • Android Phones and Tablets running version 4.2.2 and Higher
  • Kindle Fire OS up to version 5.4.0.0

Flipster Tutorials

Flipster App Tutorials